package com.taauav.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.taauav.common.domain.Entity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * <p>
 * 部门管理表
 * </p>
 *
 * @author dyg
 * @since 2019-11-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysDep extends Entity {

    private static final long serialVersionUID = 1L;

    /**
     * 部门名称
     */
    @NotEmpty(message = "部门名称不能为空")
    @Length(min = 2, max = 20, message = "部门名称长度为2-20个字")
    private String name;

    /**
     * 直接上级ID
     */
    private Integer pid;

    /**
     * 部门层级
     */
    private Integer level;

    /**
     * 有无子节点：1有 2无
     */
    @TableField("has_child")
    private Integer hasChild;

    /**
     * 部门主管
     */
    private Integer manager;

    /**
     * 排序
     */
    private Integer sort;

}
