package com.taauav.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.taauav.common.domain.Entity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * 地表水环境质量标准 实体类
 *
 * @author daixiantong
 * @date 2020-05-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tauv_water_standard")
public class TauvWaterStandard extends Entity {

    @ApiModelProperty(value = "参数名称")
    @NotEmpty(message = "参数名称不能为空")
    @Size(min = 1, max = 20, message = "参数名称长度为1-20个字符")
    private String name;

    @ApiModelProperty(value = "英文名称")
    @NotEmpty(message = "英文名称不能为空")
    @Size(min = 1, max = 20, message = "英文名称长度为1-20个字符")
    private String code;

    @ApiModelProperty(value = "对比方式")
    @NotEmpty(message = "比对方式不能为空")
    private String method;

    @ApiModelProperty(value = "Ⅰ类")
    private Integer categoryOne;

    @ApiModelProperty(value = "Ⅱ类")
    private Integer categoryTwo;

    @ApiModelProperty(value = "Ⅲ类")
    private Integer categoryThree;

    @ApiModelProperty(value = "Ⅳ类")
    private Integer categoryFour;

    @ApiModelProperty(value = "Ⅴ类")
    private Integer categoryFive;
}
