package com.taauav.admin.service;

import com.taauav.admin.entity.SysAuthGroupAccess;
import com.taauav.common.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * 用户组明细表 服务类
 *
 * @author dyg
 * @since 2019-11-04
 */
public interface ISysAuthGroupAccessService extends IBaseService<SysAuthGroupAccess> {
    /**
     * 根据角色编号获取用户列表
     *
     * @param groupId
     * @return
     */
    List<SysAuthGroupAccess> getListByGroupid(Integer groupId);

    /**
     * 添加用户角色
     *
     * @param adminId
     * @param groupIds
     * @return
     */
    Map<String, String> add(Integer adminId, String groupIds);

    /**
     * 根据用户获取角色列表
     *
     * @param adminId
     * @return
     */
    List<SysAuthGroupAccess> getListByAdmin(Integer adminId);
}
