package com.taauav.admin.service;

import com.taauav.common.bean.Menu;
import com.taauav.common.bean.Response;
import com.taauav.admin.entity.SysAdmin;
import com.taauav.admin.entity.SysAuthRule;
import com.taauav.common.service.IBaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 权限规则表 服务类
 * </p>
 *
 * @author dyg
 * @since 2019-11-04
 */
public interface ISysAuthRuleService extends IBaseService<SysAuthRule> {
    /**
     * 获取用户拥有的菜单权限
     *
     * @return
     */
    List<SysAuthRule> getAuthRules();

    /**
     * 获取所有菜单-列表页
     *
     * @param request
     * @return
     */
    Response getRulePageList(Map<String, String> request);

    /**
     * 菜单页面-编辑
     *
     * @param authRule
     * @return
     */
    Response editRule(SysAuthRule authRule);

    /**
     * 菜单页面-添加
     *
     * @param authRule
     * @return
     */
    Response addRule(SysAuthRule authRule);

    /**
     * 菜单页面-删除
     *
     * @param authRule
     * @return
     */
    Response delRule(SysAuthRule authRule);

    /**
     * 根据ID获取一条数据
     *
     * @param id
     * @return
     */
    SysAuthRule getInfoById(Integer id);

    /**
     * 获取菜单列表
     *
     * @return
     */
    List<Map<String, Object>> getRuleList(Integer adminId);

    /**
     * 修改菜单状态
     *
     * @param map
     * @return
     */
    Response editStatus(Map<String, String> map);

    /**
     * 根据父级编号获取数据
     *
     * @param pid
     * @return
     */
    List<Map<String, Object>> getListByPid(Integer pid);

    /**
     * 获取菜单的树状
     *
     * @return
     */
    List<Menu> buildTreeMenu();

    /**
     * 获取用户权限
     *
     * @param info
     * @return
     */
    String getPermission(SysAdmin info);
}
