package com.taauav.admin.vo.inspectdriver;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.taauav.admin.vo.TauvEquipmentListVo;
import com.taauav.admin.vo.TauvMountEquipmentListVo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.Date;
import java.util.List;

/**
 * 任务详情Vo
 */
@Data
public class TauvInspectDriverInfoVo {

    /**
     * 任务ID
     */
    private Integer id;

    /**
     * 巡检任务ID
     */
    private Integer inspectId;

    /**
     * 巡检单号
     */
    private String inspectNo;

    /**
     * 行号
     */
    private Integer num;

    /**
     * 河湖名称
     */
    private String driverName;

    /**
     * 区划ID
     */
    private BigInteger driverArea;

    /**
     * 区划描述
     */
    private String driverAreaName;

    /**
     * 起点
     */
    private String driverStart;

    /**
     * 终点
     */
    private String driverEnd;

    /**
     * 河湖长度
     */
    private BigDecimal driverLength;

    /**
     * 航线文件
     */
    private String driverFile;

    /**
     * 航线文件名称
     */
    private String driverFilename;

    /**
     * 巡检时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date inspectTime;

    /**
     * 执行时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date executionTime;

    /**
     * 巡检飞手
     */
    private String inspectHand;

    /**
     * 巡检飞手名称
     */
    private String inspectHandName;

    /**
     * 无人机设备
     */
    private List<TauvEquipmentListVo> equipmentList;

    /**
     * 挂载设备
     */
    private List<TauvMountEquipmentListVo> mountEquipmentList;

}
